; PORECV.REC	Purchase Order receivings record map.
;=======================================================================;
; Copyright 1999 by TAH Software Systems (TAH), Oklahoma City, Oklahoma ;
;									;
;	TAH provides this software under a license and may only be	;
;	used in accordance with the terms and conditions of such	;
;	license and with the inclusion of the above Copyright notice.	;
;=======================================================================;
;	Record size:	720
;	Primary key:	1.19	company,order,lineno,recdate
;	Alternate 1:	21.27	item,locncode
;			3.9	order,lineno
;	Alternate 2:	1.8	company,order
;			12.8	recdate
;=======================================================================;
; 08/08/2002 tah - Changed record layout.
;=======================================================================;
record	porecv
	por_key		,a19			; Primary key
	  por_comp	,a2	@por_key	; Company code
	  por_order	,d6	@por_key+2	; Order number
	  por_lineno	,d3	@por_key+8	; Line number
	  por_recdate	,d8	@por_key+11	; Date received            (YMD)
	    por_recyr	,d4	@por_recdate
	    por_recmo	,d2	@por_recdate+4
	    por_recdy	,d2	@por_recdate+6
	por_linetype	,a1			; Line type
						;   I - stock item
						;   N - non stock item
	por_item	,a24			; Item Id
	por_locncode	,a3			; Location
	por_descr	,a30			; Description
	por_ordqty	,d9.3			; Quantity ordered
	por_recuqty	,d9.3			; Qty rcvd (at dock)
	por_recdqty	,d9.3			; Qty rcvd (accepted)
	por_recrqty	,d9.3			; Qty rcvd (rejected)
	por_ucost	,d9.3			; Unit cost
	por_pfactor	,d6			; UOM factor
	por_posted	,a1			; Posting flag
	por_frtadd	,d6.3			; Freight added
	por_postqty	,d9.3			; Qty posted to date
	por_abin	,a8			; Aisle/Bin
	por_weight	,d6.2			; Unit weight
	por_discpct	,d4.2			; Discount %
						;	invoice data
	por_apvend	,d8			; Vendor ID
	por_apvch	,[10]d8			; AP voucher number
	por_apinvc	,[10]a12		; AP invoice number
	por_apdate	,[10]d8			; AP invoice date          (YMD)
	por_apqty	,[10]d9.3		; AP quantity
	por_apcost	,[10]d10.2		; AP total cost
	por_apfrgt	,[10]d8.2		; AP freight
